package com.yunzhi.marketing.xlk.service;

import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.center.taUser.entity.TaUser;
import com.yunzhi.marketing.xlk.dto.PcStatisticsDTO;

public interface IPcStatisticsService {

    /**
     * 获取首页六个卡片的数值
     * @param taUser
     * @return
     */
    ResponseBean getUserStatistics(TaUser taUser);

    /**
     * 首页用户来源统计
     * @param taUser
     * @return
     */
    ResponseBean getUserOriginStatistics(TaUser taUser);

    /**
     * 性别比例
     * @param taUser
     * @return
     */
    ResponseBean getuserGenderStatistics(TaUser taUser);

    /**
     * 手机授权转换率
     * @param taUser
     * @return
     */
    ResponseBean getUserAuthorStatistics(TaUser taUser);

    /**
     * 项目统计排行榜
     * @param taUser
     * @param pcStatisticsDTO
     * @return
     */
    ResponseBean getStatsBarList(TaUser taUser, PcStatisticsDTO pcStatisticsDTO);

    /**
     * 获取活动列表接口
     * @param taUser
     * @param pcStatisticsDTO
     * @return
     */
    ResponseBean selectActivityList(TaUser taUser, PcStatisticsDTO pcStatisticsDTO);
}
